petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscSFCreate

create a star forest communication context

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFCreate(MPI_Comm comm,PetscSF *sf)

Collective on MPI_Comm

### Input Arguments

comm -communicator on which the star forest will operate

### Output Arguments

sf -new star forest context

### See Also

PetscSFSetGraph(), PetscSFDestroy()

### Level

intermediate

### Location

src/vec/is/sf/interface/sf.c

### Examples

src/vec/is/sf/examples/tutorials/ex1.c.html
src/vec/is/sf/examples/tutorials/ex2.c.html
src/vec/is/sf/examples/tutorials/ex1f.F90.html

### Implementations

PetscSFCreate_Basic in src/vec/is/sf/impls/basic/sfbasic.c
PetscSFCreate_Window in src/vec/is/sf/impls/window/sfwindow.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages